$kind: http-request
url: "{{Local_URL}}accounts/budgets/bc7b67ca-f67a-432a-ba55-ce0fb54a8390"
method: PUT
headers:
  username: textugapp
  apiKey: db03834002ed60dfa53963cc66bbeeb730142a16fd1bbbb6e1ebca862a798359
body:
  type: json
  content: "//Operational\r

    //Allocating - Account categories (Income, and Expense Categories\r

    //Items - Filter category ledgers when adding items\r

    //Item period splits\r

    {\r

    \    \"name\": \"Q1 2024 Operational Budget\",\r

    \    \"fiscal_year_id\": \"2ddad100-0dbe-4181-8fea-12aaeb6b4bfa\",\r

    \    \"currency_id\": \"ec4dea2e-740a-4167-8174-4998c51474e3\",\r

    \    \"description\": \"Quarter 1 operational budget for 2024\",\r

    \    \"parent_id\": \"\",\r

    \    \"budget_category\": \"Operational\", //Operational or Capital
    Expenditure\r

    \    \"allocations\": [\r

    \        {\r

    \            \"account_category_id\": 4,\r

    \            \"allocated_amount\": 40000,\r

    \            \"description\": \"Sales department allocation\",\r

    \            \"items\": [\r

    \                {\r

    \                    \"amount\": 30000.00,\r

    \                    \"type\": \"Revenue\",\r

    \                    \"coa\": \"11\",\r

    \                    \"description\": \"Interest on loans\",\r

    \                    \"period_splits\": {\r

    \                        \"period_type\": \"Monthly\",\r

    \                        \"splits\": [\r

    \                            {\r

    \                                \"period_start\": \"2025-01-01\",\r

    \                                \"period_end\": \"2025-01-31\",\r

    \                                \"period_amount\": 4000\r

    \                            },\r

    \                            {\r

    \                                \"period_start\": \"2025-02-01\",\r

    \                                \"period_end\": \"2025-02-28\",\r

    \                                \"period_amount\": 4000\r

    \                            },\r

    \                            {\r

    \                                \"period_start\": \"2025-03-01\",\r

    \                                \"period_end\": \"2025-03-31\",\r

    \                                \"period_amount\": 4000\r

    \                            }\r

    \                        ]\r

    \                    }\r

    \                }\r

    \            ]\r

    \        }\r

    \    ]\r

    }"
auth:
  type: bearer
  credentials:
    token: "{{ERP_Local_Token}}"
order: 4000
